Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001041Endian FirewallGUIpublic2008-06-30 12:572010-11-22 12:51
Reporterpeter-endian 
Assigned Tosimon-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target VersionfutureFixed in Version2.4.1 
Summary0001041: mii-tool show 100Mbit for 1000Mbit cards
Descriptionuse another tool, or update mii-tool or check why.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001438confirmedpeter-endian uplinks daemon doesn't check if cable is plugged 
related to 0001439closedpeter-endian link status may not work properly in Network setup wizard 

-  Notes
(0001464)
cpainchaud (reporter)
2008-07-20 12:16

Please note that mii-tool doesn't support gigabit. Use 'ethtool' instead.
(0001465)
peter-endian (administrator)
2008-07-21 17:52

ah, good to know. did not know this.
Thank you!
(0001466)
peter-endian (administrator)
2008-07-21 17:56

use ethtool instead of mii-tool
in:
/var/efw/header.pl:check_link()
and:
/home/httpd/cgi-bin/netstatus.cgi
(0001780)
peter-endian (administrator)
2008-11-07 21:09

thanks to luca we found out that
ifplugstatus (of ifplugd) would even be better for checking the link status
instead of replacing mii-tool with ethtool in check_link() ifplugstatus would be way better.
it's using all known kernel interfaces in order to check the status and it checks the status also of virtual devices, so no more necessity to do this in perl by searching the link status of the underlying physical device
(0004795)
peter-endian (administrator)
2010-09-21 20:08

netstatus uses use ethtool now through an emi status interface

- Issue History
Date Modified Username Field Change
2008-06-30 12:57 peter-endian New Issue
2008-07-20 12:16 cpainchaud Note Added: 0001464
2008-07-21 17:52 peter-endian Note Added: 0001465
2008-07-21 17:56 peter-endian Note Added: 0001466
2008-07-21 17:56 peter-endian Status new => confirmed
2008-07-24 18:05 ra-endian Target Version 2.2-rc2 => 2.2-rc3
2008-07-28 10:54 peter-endian Status confirmed => assigned
2008-07-28 10:54 peter-endian Assigned To => chris-endian
2008-07-28 10:55 peter-endian Target Version 2.2-rc3 => 2.2
2008-09-10 17:41 chris-endian Target Version 2.2 => 2.3
2008-11-07 21:09 peter-endian Note Added: 0001780
2008-11-10 11:46 luca-endian Relationship added related to 0001438
2008-11-10 12:08 luca-endian Relationship added related to 0001439
2008-11-25 10:56 peter-endian Priority normal => high
2009-06-15 16:22 christian-endian Status assigned => new
2009-06-15 16:22 christian-endian Assigned To chris-endian => simon-endian
2009-10-27 14:37 peter-endian Target Version 2.3 => 2.3.1
2010-03-03 16:47 ra-endian Status new => assigned
2010-03-03 16:50 ra-endian Priority high => normal
2010-03-16 17:16 ra-endian Target Version 2.3.1 => future
2010-09-21 20:08 peter-endian Note Added: 0004795
2010-09-21 20:08 peter-endian Status assigned => resolved
2010-09-21 20:08 peter-endian Fixed in Version => 2.4.1
2010-09-21 20:08 peter-endian Resolution open => fixed
2010-11-22 12:51 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker